Create payment session for invoice (public)
curl --request POST \
--url https://api.dexxify.com/api/v1/api/v1/invoices/pay/{invoice_number}/session \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"crypto_asset": "USDT",
"network": "Tron"
}
'import requests
url = "https://api.dexxify.com/api/v1/api/v1/invoices/pay/{invoice_number}/session"
payload = {
"crypto_asset": "USDT",
"network": "Tron"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({crypto_asset: 'USDT', network: 'Tron'})
};
fetch('https://api.dexxify.com/api/v1/api/v1/invoices/pay/{invoice_number}/session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dexxify.com/api/v1/api/v1/invoices/pay/{invoice_number}/session",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'crypto_asset' => 'USDT',
'network' => 'Tron'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.dexxify.com/api/v1/api/v1/invoices/pay/{invoice_number}/session"
payload := strings.NewReader("{\n \"crypto_asset\": \"USDT\",\n \"network\": \"Tron\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.dexxify.com/api/v1/api/v1/invoices/pay/{invoice_number}/session")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"crypto_asset\": \"USDT\",\n \"network\": \"Tron\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dexxify.com/api/v1/api/v1/invoices/pay/{invoice_number}/session")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"crypto_asset\": \"USDT\",\n \"network\": \"Tron\"\n}"
response = http.request(request)
puts response.read_body{
"id": "6a0ce752-6932-4c1c-b5ea-fe7d12345678",
"business_id": "8e2f6b2a-df9c-4c2a-9a0a-9e6a2a2b6a11",
"mode": "test",
"customer_id": "3c1e6a2a-2b3c-4d5e-8f9a-1a2b3c4d5e6f",
"reference": "ps_4f9a1a2b3c4d",
"amount": 1025,
"amount_paid": null,
"currency": "USD",
"deposit_address": "TXkPqR7YbAaHqZ5t5fRZ9Zk3f2NcQvJ9f2A",
"crypto_asset": "USDT",
"network": "Tron",
"status": "pending",
"payment_page_id": null,
"invoice_id": "9b1d6a2a-2b3c-4d5e-8f9a-1a2b3c4d5e70",
"transaction_id": null,
"provider_session_reference": "cc_sess_8f2a1b3c",
"metadata": {
"invoice_number": "INV-AB12CD34EF"
},
"expires_at": "2026-09-01T10:45:00.000Z",
"completed_at": null,
"created_at": "2026-09-01T10:15:00.000Z",
"updated_at": "2026-09-01T10:15:00.000Z"
}{
"success": false,
"status": 400,
"message": "Invoice is already paid.",
"timestamp": "2026-09-17T12:00:00.000Z"
}{
"success": false,
"status": 404,
"message": "Invoice not found.",
"timestamp": "2026-09-17T12:00:00.000Z"
}Invoices
Create payment session for invoice (public)
Public endpoint — customer selects which crypto asset and network to pay with. Returns a payment session with a deposit address. The invoice is marked PAID automatically when payment.completed webhook fires.
POST
/
api
/
v1
/
invoices
/
pay
/
{invoice_number}
/
session
Create payment session for invoice (public)
curl --request POST \
--url https://api.dexxify.com/api/v1/api/v1/invoices/pay/{invoice_number}/session \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"crypto_asset": "USDT",
"network": "Tron"
}
'import requests
url = "https://api.dexxify.com/api/v1/api/v1/invoices/pay/{invoice_number}/session"
payload = {
"crypto_asset": "USDT",
"network": "Tron"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({crypto_asset: 'USDT', network: 'Tron'})
};
fetch('https://api.dexxify.com/api/v1/api/v1/invoices/pay/{invoice_number}/session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dexxify.com/api/v1/api/v1/invoices/pay/{invoice_number}/session",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'crypto_asset' => 'USDT',
'network' => 'Tron'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.dexxify.com/api/v1/api/v1/invoices/pay/{invoice_number}/session"
payload := strings.NewReader("{\n \"crypto_asset\": \"USDT\",\n \"network\": \"Tron\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.dexxify.com/api/v1/api/v1/invoices/pay/{invoice_number}/session")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"crypto_asset\": \"USDT\",\n \"network\": \"Tron\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dexxify.com/api/v1/api/v1/invoices/pay/{invoice_number}/session")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"crypto_asset\": \"USDT\",\n \"network\": \"Tron\"\n}"
response = http.request(request)
puts response.read_body{
"id": "6a0ce752-6932-4c1c-b5ea-fe7d12345678",
"business_id": "8e2f6b2a-df9c-4c2a-9a0a-9e6a2a2b6a11",
"mode": "test",
"customer_id": "3c1e6a2a-2b3c-4d5e-8f9a-1a2b3c4d5e6f",
"reference": "ps_4f9a1a2b3c4d",
"amount": 1025,
"amount_paid": null,
"currency": "USD",
"deposit_address": "TXkPqR7YbAaHqZ5t5fRZ9Zk3f2NcQvJ9f2A",
"crypto_asset": "USDT",
"network": "Tron",
"status": "pending",
"payment_page_id": null,
"invoice_id": "9b1d6a2a-2b3c-4d5e-8f9a-1a2b3c4d5e70",
"transaction_id": null,
"provider_session_reference": "cc_sess_8f2a1b3c",
"metadata": {
"invoice_number": "INV-AB12CD34EF"
},
"expires_at": "2026-09-01T10:45:00.000Z",
"completed_at": null,
"created_at": "2026-09-01T10:15:00.000Z",
"updated_at": "2026-09-01T10:15:00.000Z"
}{
"success": false,
"status": 400,
"message": "Invoice is already paid.",
"timestamp": "2026-09-17T12:00:00.000Z"
}{
"success": false,
"status": 404,
"message": "Invoice not found.",
"timestamp": "2026-09-17T12:00:00.000Z"
}Body
application/json
Response
Payment session created successfully.

